GET Role/{id}
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
GET /api/v1/Role/{id}
Gets a RoleEntity object.
Calls the User agent service GetRoleEntity. NsApiSlow threshold: 2000 ms.
Online Restricted: ## The User agent is not available in Online by default. User management is not allowed for partner apps.
| Path Part | Type | Description |
|---|---|---|
| id | int32 | The id of the RoleEntity to return. Required |
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category" Default = show all fields. |
GET /api/v1/Role/{id}?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
RoleEntity found.
| Response | Description |
|---|---|
| 200 | RoleEntity found. |
| 404 | Not Found. |
Response body: RoleEntityWithLinks
| Property Name | Type | Description |
|---|---|---|
| RoleId | int32 | Primary key |
| Name | string | Visible role name |
| Tooltip | string | Description of the role. |
| RoleType | string | The role type. Note that changing this field has no effect, so treat this as a read-only field. |
| Deleted | int32 | 1 if role has been deleted (we do not actually delete) |
| Rank | int32 | Sorting rank of this role in lists |
| Created | date-time | Registered when in UTC. |
| UseCategories | int32 | Apply role category membership to users |
| CreatedBy | Associate | Created by user |
| Updated | date-time | Last updated when in UTC. |
| UpdatedBy | Associate | Last updated by user |
| DataRights | DataRights | Data rights matrix - defines role's access to data owned by current user, users in same group, and other users. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
| _Links | object |
Sample request
GET /api/v1/Role/{id}
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Sample response
HTTP/1.1 200 RoleEntity found.
Content-Type: application/json; charset=utf-8
{
"RoleId": 534,
"Name": "Administrator",
"Tooltip": "quia",
"RoleType": "Anonymous",
"Deleted": 145,
"Rank": 506,
"Created": "2001-08-31T14:34:02.2490247+02:00",
"UseCategories": 530,
"CreatedBy": null,
"Updated": "2001-02-16T14:34:02.2490247+01:00",
"UpdatedBy": null,
"DataRights": null,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 764
}
},
"_Links": {
"Self": "https://www.example.com/api/v1/project/321",
"Archive": "https://www.example.com/api/v1/project"
}
}